Bug 37032 - UMC system diagnostic module hangs for a long time
UMC system diagnostic module hangs for a long time
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-0-errata
Assigned To: Florian Best
Alexander Kramer
:
Depends on:
Blocks: 48002 45343
  Show dependency treegraph
 
Reported: 2014-11-26 09:10 CET by Stefan Gohmann
Modified: 2018-10-16 13:57 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
umc-system-diagonostic.png (170.44 KB, image/png)
2014-11-26 09:10 CET, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-11-26 09:10:23 CET
Created attachment 6472 [details]
umc-system-diagonostic.png

If the gateway doesn't answer on ping request, the UMC system diagnostic module hangs for a long time, several minutes. See attached screenshot. It is not really clear if the module is still doing something. 

You can simply reproduce it by dropping all outgoing ping requests:
  iptables -A OUTPUT -p icmp --icmp-type echo-request -j DROP

I think it is a common situation that a gateway doesn't answer ping requests. At least we got this feedback.
Comment 1 Florian Best univentionstaff 2014-11-26 10:45:16 CET
The command is currently:
/bin/ping -c1 -w500 gateway
I hope this command will fix it:
/bin/ping -c1 -w500 -W500 gateway
Comment 2 Florian Best univentionstaff 2014-11-26 10:53:07 CET
(In reply to Florian Best from comment #1)
> The command is currently:
> /bin/ping -c1 -w500 gateway
> I hope this command will fix it:
> /bin/ping -c1 -w500 -W500 gateway

Omg. -w takes seconds not milliseconds.
Changing it to /bin/ping -c3 -w4 -W4 gateway
Comment 3 Florian Best univentionstaff 2014-11-28 21:38:48 CET
patch applied.
YAML added.
Comment 4 Alexander Kramer univentionstaff 2014-12-09 11:23:23 CET
OK - debian changelog
OK - yaml
OK - gateway ping does not block diagnostic-module anymore
Comment 5 Janek Walkenhorst univentionstaff 2014-12-19 11:48:26 CET
http://errata.univention.de/ucs/4.0/12.html